NSQUERY(8)

NAME
nsquery - RFS name server query

SYNOPSIS
nsquery [ -h ] [ name ]

AVAILABILITY

This program is available with the RFS software installation option. Refer to for information on how to install optional software.

DESCRIPTION

nsquery provides information about resources available to the host from both the local domain and from other domains. All resources are reported, regardless of whether the host is authorized to access them. When used with no options, nsquery identifies all resources in the domain that have been advertised as sharable. A report on selected resources can be obtained by specifying name, where name is one of:

    nodename
        The report will include only those resources available from nodename.

    domain.
        The report will include only those resources available from domain.

    domain.nodename
        The report will include only those resources available from domain.nodename.

When the name does not include the delimiter `.', it will be interpreted as a nodename within the local domain. If the name ends with a delimiter `.', it will be interpreted as a domain name.

The information contained in the report on each resource includes its advertised name (domain.resource), the read/write permissions, the server (nodename.domain) that advertised the resource, and a brief textual description.

A remote domain must be listed in your rfmaster file in order to query that domain.

If no entries are found when nsquery is executed, the report header is printed.

If your host cannot contact the domain name server, an error message will be sent to standard error.

OPTIONS

-h  Do not print header.

EXAMPLE

The following example displays the resources available from the domain sunrfs:
    example%  nsquery sunrfs.
    RESOURCE	ACCESS	SERVER	DESCRIPTION
    LOCAL_SUN3	read-only	sunrfs.estale
    LOCAL_SUN4	read-only	sunrfs.estale
    LOCAL_SHARE	read-only	sunrfs.estale

SEE ALSO
rfmaster(5), adv(8), unadv(8)